Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Calculate a Claim

Request

Calculates a Claim (runs the validation logic on all items. Creates a calculation job (JST). It does not read the data from the uploaded Excel file again but works with the (potentially edited) data that are already loaded in the system.

You can also send items within the request body (no Excel file needed) – see the request example (calculateClaimRequestExample) for the request body structure.

Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired

The typedId of the claim whose items you want to calculate.

Example: 24.CL
Bodyapplication/json
dataobject
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/claimmanager.calculate/24.CL \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "columnNames": [
        "ProductID",
        "EndCustomerID",
        "ClaimQuantity",
        "TotalClaimAmount",
        "QuoteID",
        "QuoteValidFrom",
        "QuoteValidTo",
        "QuoteDiscountPerItemPercent",
        "InvoicePricePerItem",
        "NetPricePerItem",
        "DiscountPerItemAmount"
      ],
      "data": [
        {
          "ProductID": "CLPRD-3",
          "EndCustomerID": "EndCustomer1",
          "ClaimQuantity": "2",
          "TotalClaimAmount": "23",
          "QuoteID": "P-2147483919",
          "QuoteValidFrom": "2022-10-13",
          "QuoteValidTo": "2023-04-25",
          "QuoteDiscountPerItemPercent": "5",
          "InvoicePricePerItem": "100",
          "NetPricePerItem": "95",
          "DiscountPerItemAmount": "5"
        }
      ]
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "node", "data": [], "status": 0 } }

Cancel a Calculation

Request

Cancels the Claim calculation job.

Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired

The typedId of the claim whose item calculation you want to cancel.

Example: 24.CL
Bodyapplication/json
object(cancelClaimCalculationRequest)
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/claimmanager.cancel/24.CL \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": {}, "status": 0 } }

List Items

Request

Retrieves all items of the specified Claim.

Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired
Example: 24.CL
Bodyapplication/json
object(listClaimItemsRequest)
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/claimmanager.fetchitems/24.CL \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-7d4f6fc499-cxpsb", "startRow": 0, "data": [], "endRow": 16, "totalRows": 16, "status": 0 } }

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas